%global momorel 1

Summary: Halified CUPS utilities 
Name: hal-cups-utils
Version: 0.6.19
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/System
URL: https://fedorahosted.org/hal-cups-utils
Source: https://fedorahosted.org/hal-cups-utils/attachment/wiki/ProjectReleases/%{name}-%{version}.tar.gz
Source1: cups-config-daemon
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: chkconfig
PreReq: initscripts
Requires: cups
Requires: dbus
Requires: glib2
Requires: hal
Requires: system-config-printer-libs >= 1.0.3
BuildRequires: cups-devel
BuildRequires: dbus-devel >= 0.92
BuildRequires: dbus-glib-devel
BuildRequires: glib2-devel
BuildRequires: hal-devel >= 0.5.7

%description
Halified utilities for CUPS:
	- hal_lpadmin
	- hal CUPS backend

%prep
%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_initscriptdir}
install -c -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}/cups-config-daemon

%clean
rm -rf --preserve-root %{buildroot}

%pre
/sbin/service cups-config-daemon stop > /dev/null 2>&1
/sbin/chkconfig --del cups-config-daemon > /dev/null 2>&1
exit 0


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/hal_lpadmin
/usr/lib/cups/backend/hal
%{_datadir}/hal/fdi/policy/10osvendor/10-hal_lpadmin.fdi
%{_initscriptdir}/cups-config-daemon

%changelog
* Fri May 29 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.19-1m)
- update to 0.6.19

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.17-2m)
- rebuild against rpm-4.6

* Sat Oct 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.17-1m)
- updat to 0.6.17
- sync with Fedora devel

* Fri Jun 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.16-2m)
- import dash.patch and hal-fd.patch from Fedora
 +* Mon May 12 2008 Tim Waugh <twaugh@redhat.com> 0.6.16-4
 +- Use dash instead of underscore when replacing disallowed characters in
 +  generated queue names (bug #445791).
 +- Explicitly set stdin to be /dev/null to avoid using HAL's file
 +  descriptor (bug #442191).

* Mon May 12 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.16-1m)
- version 0.6.16
- import no-compare-queue-name.patch from Fedora
 +* Fri Apr  4 2008 Tim Waugh <twaugh@redhat.com> 0.6.16-2
 +- Applied patch from upstream to use only the device URI to see if the
 +  printer has been configured already, and to make the queue name unique.

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.9-4m)
- rebuild against gcc43

* Tue Jul 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.9-3m)
- use %%{_initrddir} instead of %%{_initscriptdir}

* Sun Jun 17 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.6.9-2m)
- add configure patch to revise the directory of cups on x86_64

* Sat Jun 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.9-1m)
- update to 0.6.9

* Sat Nov 25 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.2-1m)
- update 0.6.2

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-5m)
- use hal-0.5.7 (SATA does not work)

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-4m)
- rebuild against dbus 0.92
- rebuild against hal 0.5.7.1

* Tue May  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.5.3-3m)
- rebuild against dbus-0.61

* Wed Jan  4 2006 Kazuhiko <kazuhiko@fdiary.net>
- (0.5.3-2m)
- rebuild against dbus-0.60

* Wed Nov 2 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.5.3-1m)
- version 0.5.3
- import from FC

* Sun Feb  6 2005 Toru Hoshina <t@momonga-linux.org>
- (0.5.2-1m)
- import from FC3.

* Fri Oct 22 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-8
- use_usb_if_null patch makes sure that the make and model of the 
  printer is never null even if hal does not populate the
  printer.vendor and info.product fields.  (Bug #136666)
- (printer_update.hal, printer_remove.hal): Use $UDI instead of 
  $HAL_PROP_INFO_UDI which in some instances may not be populated

* Tue Oct 12 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-7
- Add MatchDriver DBUS method call patch so we can check if the printer has a driver

* Wed Oct 06 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-6
- Add Colin Walter's daemon patch
- Add BuildRequires for glib
- Add patch to take out gdk from configure.in
- Restart cups-config-daemon in the post

* Tue Oct 04 2004 John (J5) Palmieri <johnp@redhat.com>
- Patch now calls killall -SIGHUP cupsd if pid file is wrong or does not exist.
  This is mainly for older cups versions which do not output a pid file.

* Fri Oct 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Fixed sighup to check for sbin instead of bin for cupsd pid check

* Thu Sep 30 2004 John (J5) Palmieri <johnp@redhat.com>
- Patch to use sighup on cups instead of restarting it

* Tue Sep 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.2

* Tue Sep 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Chaned the hal callout srcipts to have a .hal extention 

* Tue Aug 31 2004 John (J5) Palmieri <johnp@redhat.com>
- Add build requirement on dbus-devel and system-config-printer 

* Tue Aug 31 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.1

* Fri Aug 27 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.0

* Wed Aug 18 2004 John (J5) Palmieri <johnp@redhat.com>
- Updated to 0.4.0

* Thu Aug 11 2004 John (J5) Palmieri <johnp@redhat.com>
- Added the --enable-printconf flag to configure so that we autodetect drivers

* Thu Aug 11 2004 John (J5) Palmieri <johnp@redhat.com>
- Upgrade to version 0.3.1
- Add update-printer.sh and remove-printer.sh HAL callouts 

* Wed Jul 28 2004 John (J5) Palmieri <johnp@redhat.com>
- Initial checkin to package repository

